Retire Packaging Deb project repos

This commit is part of a series to retire the Packaging Deb
project. Step 2 is to remove all content from the project
repos, replacing it with a README notification where to find
ongoing work, and how to recover the repo if needed at some
future point (as in
https://docs.openstack.org/infra/manual/drivers.html#retiring-a-project).

Change-Id: Ia4503f58053e237e9db9fdaac5b74ca3e6c23a20
This commit is contained in:
Tony Breeds 2017-09-12 16:11:28 -06:00
parent c21de93a36
commit 2a7e7e2b14
6 changed files with 14 additions and 311 deletions

14
README Normal file
View File

@ -0,0 +1,14 @@
This project is no longer maintained.
The contents of this repository are still available in the Git
source code management system. To see the contents of this
repository before it reached its end of life, please check out the
previous commit with "git checkout HEAD^1".
For ongoing work on maintaining OpenStack packages in the Debian
distribution, please see the Debian OpenStack packaging team at
https://wiki.debian.org/OpenStack/.
For any further questions, please email
openstack-dev@lists.openstack.org or join #openstack-dev on
Freenode.

95
bb
View File

@ -1,95 +0,0 @@
#!/bin/sh
set -e
set -x
if ! [ -r /etc/pkgos/pkgos.conf ] ; then
echo "Could not read /etc/pkgos/pkgos.conf"
exit 1
else
. /etc/pkgos/pkgos.conf
fi
# Manage parameters of this script
usage () {
echo "Usage: $0 [-d <DISTRO>] <source-package>"
echo " -d <DISTRO>: Define from which distro to backport"
exit 1
}
UPLOAD=no
SRC_DISTRO=sid
for i in $@ ; do
case ${1} in
"-d")
if [ -z "${2}" ] || [ -z "${3}" ] ; then usage ; fi
SRC_DISTRO=${2}
shift
shift
;;
*)
;;
esac
done
if [ -z "${1}" ] ; then usage ; fi
PKG_NAME=${1}
HERE=$(pwd)
BUILD_ROOT=$(pwd)/bpo-src
# Get info from packages.debian.org
PKG_INFO_FILE=`mktemp -t pkg_info_file.XXXXXX`
wget --no-check-certificate -O ${PKG_INFO_FILE} http://packages.debian.org/source/${SRC_DISTRO}/${PKG_NAME}
if [ `lsb_release -i -s` = "Ubuntu" ] ; then
RMADURL="--url=http://qa.debian.org/madison.php"
else
RMADURL=""
fi
DEB_VERSION=`rmadison $RMADURL -a source --suite=${SRC_DISTRO} ${PKG_NAME} | awk '{print $3}'`
UPSTREAM_VERSION=`echo ${DEB_VERSION} | sed 's/-[^-]*$//' | cut -d":" -f2`
DSC_URL=`cat ${PKG_INFO_FILE} | grep dsc | cut -d'"' -f2`
rm ${PKG_INFO_FILE}
# Prepare build folder and go in it
MY_CWD=`pwd`
rm -rf ${BUILD_ROOT}/$PKG_NAME
mkdir -p ${BUILD_ROOT}/$PKG_NAME
cd ${BUILD_ROOT}/$PKG_NAME
# Download the .dsc and extract it
DSC_URL=$(echo ${DSC_URL} | sed "s#http://http.debian.net/debian#${CLOSEST_DEBIAN_MIRROR}#")
dget -d -u ${DSC_URL}
PKG_SRC_NAME=`ls *.dsc | cut -d_ -f1`
PKG_NAME_FIRST_CHAR=`echo ${PKG_SRC_NAME} | awk '{print substr($0,1,1)}'`
# Guess source package name using an ls of the downloaded .dsc file
DSC_FILE=`ls *.dsc`
DSC_FILE=`basename $DSC_FILE`
SOURCE_NAME=`echo $DSC_FILE | cut -d_ -f1`
# Rename the build folder if the source package name is different from binary
if ! [ "${PKG_NAME}" = "${SOURCE_NAME}" ] ; then
cd ..
rm -rf $SOURCE_NAME
mv $PKG_NAME $SOURCE_NAME
cd $SOURCE_NAME
fi
# Extract the source and make it a backport
dpkg-source -x *.dsc
cd ${SOURCE_NAME}-${UPSTREAM_VERSION}
rm -f debian/changelog.dch
dch --newversion ${DEB_VERSION}~${BPO_POSTFIX} -b --allow-lower-version --distribution ${TARGET_DISTRO}-backports -m "Rebuilt for ${TARGET_DISTRO}."
# Build the package
sbuild
# Copy in the FTP repo
cd ..
rm ${SOURCE_NAME}_${DEB_VERSION}~${BPO_POSTFIX}*.build
TARGET_FTP_FOLDER=${HERE}/uploads
mkdir -p ${TARGET_FTP_FOLDER}
cp *bpo* *.orig.tar.* ${TARGET_FTP_FOLDER}

View File

@ -1,91 +0,0 @@
#!/bin/sh
set -e
if ! [ -r /etc/pkgos/pkgos.conf ] ; then
echo "Could not read /etc/pkgos/pkgos.conf"
exit 1
else
. /etc/pkgos/pkgos.conf
fi
HERE=$(pwd)
cleanup_data () {
rm -rf ${HERE}/etc
rm -f ${HERE}/rebuild-list-sid ${HERE}/rebuild-list-experimental
rm -rf bpo-src uploads
}
# param: $1 = name of mirror
# $2 = repo URL
make_fake_mirror () {
NAME_OF_MIRROR=${1}
FETCH_REPO_URL=${2}
# Create the folder and remove the Packages.gz / Sources.gz
DEST_DIST_DIR=${HERE}/etc/pkgos/fake-${NAME_OF_MIRROR}-mirror/dists/${NAME_OF_MIRROR}/main
for i in binary-all binary-amd64 source ; do
if ! [ -d ${DEST_DIST_DIR}/$i ] ; then
mkdir -p ${DEST_DIST_DIR}/$i
fi
if [ "$i" = "source" ] ; then
GZFILE=Sources.gz
else
GZFILE=Packages.gz
fi
rm -f ${DEST_DIST_DIR}/$i/$GZFILE
wget ${FETCH_REPO_URL}/dists/${NAME_OF_MIRROR}/main/$i/$GZFILE -O ${DEST_DIST_DIR}/$i/$GZFILE || true
done
}
# param: $1 = sid or experimental
decide_to_build_or_not () {
SID_OR_EXP=${1}
for PKG_SOURCE in `cat ${SID_OR_EXP}-list | grep -E -v '^#'` ; do
echo "===> Checking status of ${PKG_SOURCE}:"
SID_VERSION=$(madison-lite -a source --mirror ${HERE}/etc/pkgos/fake-${SID_OR_EXP}-mirror ${PKG_SOURCE} | awk '{print $3}' | tail -n 1)
echo "Sid version: ${SID_VERSION}"
OUR_VERSION=$(madison-lite -a source --mirror ${HERE}/etc/pkgos/fake-jessie-newton-mirror ${PKG_SOURCE} | awk '{print $3}' | tail -n 1)
if [ -z "${OUR_VERSION}" ] ; then
echo "Our version: missing package"
echo "Decision: rebuild"
echo ${PKG_SOURCE} >>rebuild-list-${SID_OR_EXP}
else
echo "Our version: ${OUR_VERSION}"
# Strip the added version number from our version"
STRIPPED_BPO_VERS=$(echo ${OUR_VERSION} | sed 's#\+[0-9]*~bpo8+1##')
STRIPPED_BPO_VERS=$(echo ${STRIPPED_BPO_VERS} | sed 's#~bpo8+1##')
echo "Stripped version: ${STRIPPED_BPO_VERS}"
# Check if we have lower version
if dpkg --compare-versions ${STRIPPED_BPO_VERS} lt ${SID_VERSION} ; then
echo "Decision: rebuild"
echo ${PKG_SOURCE} >>rebuild-list-${SID_OR_EXP}
else
echo "Decision: skip"
fi
fi
done
}
# param: $1 = sid or experimental
rebuild_all_bpo () {
SID_OR_EXP=${1}
for PKG_SOURCE in `cat rebuild-list-${SID_OR_EXP}` ; do
echo "################################"
echo "################################"
echo "################################"
echo "### REBUILDING ${PKG_SOURCE} ###"
echo "################################"
echo "################################"
echo "################################"
./bb ${PKG_SOURCE}
done
}
cleanup_data
make_fake_mirror jessie-newton http://mirror.dfw.rax.openstack.org/debian-openstack
for DEBIAN_SUITE_TO_BUILD in sid ; do
make_fake_mirror $DEBIAN_SUITE_TO_BUILD ${CLOSEST_DEBIAN_MIRROR}
decide_to_build_or_not $DEBIAN_SUITE_TO_BUILD
rebuild_all_bpo $DEBIAN_SUITE_TO_BUILD
done

View File

@ -1,20 +0,0 @@
#!/bin/sh
set -e
if ! [ -r /etc/pkgos/pkgos.conf ] ; then
echo "Could not read /etc/pkgos/pkgos.conf"
exit 1
else
. /etc/pkgos/pkgos.conf
fi
HERE=$(pwd)
cleanup_data () {
rm -rf ${HERE}/etc
rm -f ${HERE}/rebuild-list-sid ${HERE}/rebuild-list-experimental
rm -rf bpo-src uploads
}
cleanup_data

View File

@ -1 +0,0 @@
qpid-proton

104
sid-list
View File

@ -1,104 +0,0 @@
alabaster
#antlr3
#apscheduler
#bacula
#betamax
#contextlib2
#dirtbike
#django-nose
#django-sekizai
#dnspython
#faker
#gunicorn
#jinja2
jquery
#kazoo
#kombu
#lz4
#nodeenv
#nose
#pandas
#pep8
#pyasn1
#pygments
#pyinotify
#pymongo
#pytest
#python-amqp
#python-babel
#python-cachecontrol
#python-cachetools
#python-cassandra-driver
#python-cbor
#python-cffi
#python-crank
#python-cryptography
#python-cryptography-vectors
#python-dateutil
#python-django
#python-django
#python-docker
#python-dogpile.cache
#python-elasticsearch
#python-eventlet
#python-future
#python-git
#python-gitdb
#python-googleapi
#python-gssapi
#python-hypothesis
#python-idna
#python-imagesize
#python-ipaddress
#python-iso8601
#python-keyring
#python-ldap3
#python-lockfile
#python-lz4
#python-microversion-parse
#python-mysqldb
#python-nacl
#python-networkx
#python-packaging
#python-pathlib
#python-pika
#python-pip
#python-progress
#python-py
#python-pygraphviz
#python-pysaml2
#python-pyscss
#python-repoze.what
#python-repoze.what-plugins
#python-repoze.who
#python-repoze.who-plugins
#python-requests-kerberos
#python-selenium
python-setuptools
#python-smmap
#python-snappy
#python-subprocess32
#python-txaio
#python-tzlocal
#python-unicodecsv
#python-uritemplate
#python-urllib3
#python-virtualenv
#python-webob
#requests
#routes
#setuptools-scm
#six
#sphinx
#sphinx-argparse
#sphinx-bootstrap-theme
#sphinx-testing
#sqlalchemy
#stringtemplate4
suds
#turbogears2
#twisted
#unittest2
#voluptuous
#webkit2gtk
#zzzeeksphinx